#### FILE

#### Synopsis

    HELP:   Log to a flat file
    TYPE:   OBJECT
    SYNTAX: FILE(IDENT='str',FORMAT=STANDARD/DIALOG/MINIMAL,NAME='str')

#### Description

The flat file option allows the log messages to be written to a normal file. The name of the file must be specified for this destination. The log messages will be appended to this file if it already exists.

For the log file, all rules and replacements are valid which are described under "FILENAME HANDLING" above. For example:

       NAME='~.MYLOG(LOG1)'                   ; PDS on z/OS
       NAME='<SYSUID>.MYLOG02'                ; PS dataset on z/OS
       NAME='~/mylog3.txt'                    ; Unix path name
       NAME='<HOME>\\logs\\mylog4.txt'          ; Windows path name

Parallel process cannot share the same log file.

#### Arguments

- `STRING: IDENT='str' - Identifier used to identify log entries [owner]`
- `NUMBER: FORMAT=STANDARD/DIALOG/MINIMAL - Format of log message [STANDARD]`
  - `STANDARD - Standard logging format (timestamp ident level message)`
  - `DIALOG - For dialog processing (ident level message)`
  - `MINIMAL - For output processing (message)`
- `STRING: NAME='str' - Filename for appending log messages`